Package com.arms.api.requirement.reqcomment.controller

## Class ReqCommentController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqComment,​ReqCommentDTO,​ReqCommentEntity>
  - - com.arms.api.requirement.reqcomment.controller.ReqCommentController

-     @Controller
      @RequestMapping("/arms/reqComment")
      public class ReqCommentController
      extends TreeAbstractController<ReqComment,​ReqCommentDTO,​ReqCommentEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqCommentController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addReqComment​(ReqCommentDTO reqCommentDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getReqCommentChildNode​(ReqCommentDTO reqCommentDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getReqCommentList​(ReqCommentDTO reqCommentDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getReqCommentPagingByPdService​(ReqCommentDTO reqCommentDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request, int pageIndex, int pageUnit)` |
    `org.springframework.http.ResponseEntity<?>` | `getTotalCountReqComment​(ReqCommentDTO reqCommentDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getUserReqCommentList​(ReqCommentDTO reqCommentDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqCommentController

          public ReqCommentController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getReqCommentList

          @ResponseBody
          @RequestMapping(value="/getReqCommentList.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getReqCommentList​(ReqCommentDTO reqCommentDTO,
                                                                              org.springframework.ui.ModelMap model,
                                                                              javax.servlet.http.HttpServletRequest request)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getUserReqCommentList

          @ResponseBody
          @RequestMapping(value="/getUserReqCommentList.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getUserReqCommentList​(ReqCommentDTO reqCommentDTO,
                                                                                  org.springframework.ui.ModelMap model,
                                                                                  javax.servlet.http.HttpServletRequest request)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqCommentChildNode

          @ResponseBody
          @RequestMapping(value="/getReqCommentChildNode.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getReqCommentChildNode​(ReqCommentDTO reqCommentDTO,
                                                                                   org.springframework.ui.ModelMap model,
                                                                                   javax.servlet.http.HttpServletRequest request)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqCommentPagingByPdService

          @Transactional
          @ResponseBody
          @RequestMapping(value="/getReqCommentPagingByPdService.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getReqCommentPagingByPdService​(ReqCommentDTO reqCommentDTO,
                                                                                           org.springframework.ui.ModelMap model,
                                                                                           javax.servlet.http.HttpServletRequest request,
                                                                                           @RequestParam
                                                                                           int pageIndex,
                                                                                           @RequestParam
                                                                                           int pageUnit)
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getTotalCountReqComment

          @ResponseBody
          @RequestMapping(value="/getTotalCountReqComment.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getTotalCountReqComment​(ReqCommentDTO reqCommentDTO,
                                                                                    org.springframework.ui.ModelMap model,
                                                                                    javax.servlet.http.HttpServletRequest request)
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addReqComment

          @ResponseBody
          @RequestMapping(value="/addReqComment.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> addReqComment​(ReqCommentDTO reqCommentDTO,
                                                                          org.springframework.ui.ModelMap model,
                                                                          javax.servlet.http.HttpServletRequest request)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`